Subject: Re: [PATCH v7 net-next 00/18] Introducing P4TC

From: Jakub Kicinski <[email-masked]>
Date: Mon, 16 Oct 2023 13:15:06 -0700

On Mon, 16 Oct 2023 05:35:31 -0400 Jamal Hadi Salim wrote:
> Changes In RFC Version 7
> -------------------------
> 
> 0) First time removing the RFC tag!
> 
> 1) Removed XDP cookie. It turns out as was pointed out by Toke(Thanks!) - that
> using bpf links was sufficient to protect us from someone replacing or deleting
> a eBPF program after it has been bound to a netdev.
> 
> 2) Add some reviewed-bys from Vlad.
> 
> 3) Small bug fixes from v6 based on testing for ebpf.
> 
> 4) Added the counter extern as a sample extern. Illustrating this example because
>    it is slightly complex since it is possible to invoke it directly from
>    the P4TC domain (in case of direct counters) or from eBPF (indirect counters).
>    It is not exactly the most efficient implementation (a reasonable counter impl
>    should be per-cpu).

I think that I already shared my reservations about this series.

On top of that, please, please, please make sure that it builds cleanly
before posting.

I took the shared infra 8 hours to munch thru this series, and it threw
out all sorts of warnings. 8 hours during which I could not handle any
PR or high-prio patch :( Not your fault that builds are slow, I guess,
but if you are throwing a huge series at the list for the what-ever'th
time, it'd be great if it at least built cleanly :(

FWIW please do not post another version this week (not that I think
that you would do that, but better safe than sorry. Last week the patch
bombs pushed the shared infra 24h+ behind the list..)
-- 
pw-bot: cr